Subject: Re: Getting GCC's testsuite, i.e., dejagnu, under cygwin-1.1.7
From: "Tim Prince" <[email-masked]>
To: <[email-masked]>, "Billinghurst, David \(CRTS\)" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 1 Jan 2001 12:03:16 -0800

These fixes are working here, on W2KSP1.  Thanks.  I've run into addtional
problems which are triggered by g77 -O -march=pentiumpro, and I'm still at a
loss how to track them down. The compilers seem fairly stable without the
pentiumpro option. Would someone be interested if I could show a gcc
translation which replicates an ICE, on both linux and cygwin?

----- Original Message -----
From: "Billinghurst, David (CRTS)" <[email-masked]>
To: <[email-masked]>
Sent: Sunday, December 31, 2000 5:19 PM
Subject: RE: Getting GCC's testsuite, i.e., dejagnu, under cygwin-1.1.7

This is probably of interest to other cygwin users.  It is for current gcc
cvs.  I'll write up the -lm problem with g77 for the cygwin list, as it also
occurs with the current cygwin release.

Christian.

This is how I did it.  Some of the changes are hacks looking for better
solutions.  cygwin needs to be installed in the root directory of the drive
(C:\ or D:\).  This is against the general advise, but is the only known way
to get dejagnu to work.

----------------------------------------------------------------------------
----------------------------
The g77 execute tests fail as cygwin g77 does not like "-lm".  I removed it
from /usr/share/dejagnu/target.exp.  There is probably a neater way to do
it, but ...

--- usr/share/dejagnu/target.exp.bak Fri Dec 29 22:02:12 2000
+++ usr/share/dejagnu/target.exp Fri Dec 29 22:02:35 2000
@@ -471,7 +471,7 @@
  if [board_info $dest exists mathlib] {
      append add_flags " [board_info $dest mathlib]"
  } else {
-     append add_flags " -lm"
+     append add_flags " "
  }

  # This must be added here.

----------------------------------------------------------------------------
---------------------------
The g++ testsuite will not run as dejagnu cannot exec
${odir_v3}/tests_flags.  Fixed thus.  This has been submitted to
gcc-patches.

2000-12-30  David Billinghurst <[email-masked]>

* lib/g++.exp:  Use sh to exec ${odir_v3}/tests_flags

--- gcc/testsuite/lib/g++.exp.orig Fri Dec 29 20:43:44 2000
+++ gcc/testsuite/lib/g++.exp Fri Dec 29 20:39:43 2000
@@ -86,7 +86,7 @@
     if { ${HAVE_LIBSTDCXX_V3} } {
       set odir_v3 [lookfor_file ${gccpath} libstdc++-v3]
       set sdir_v3 [lookfor_file ${srcdir} libstdc++-v3]
-      append flags [exec ${odir_v3}/tests_flags --compiler ${odir_v3}
${sdir_v3}]
+      append flags [exec sh ${odir_v3}/tests_flags --compiler ${odir_v3}
${sdir_v3}]
     } else {
       set odir_v2 [lookfor_file ${gccpath} libstdc++]
       set sdir_v2 [lookfor_file ${srcdir} libstdc++]
----------------------------------------------------------------------------
----------------------
Configure and build with

#!/bin/sh
SRC_DIR=/usr/local/src/gcc
BUILD_DIR=/usr/local/obj/gcc
CFLAGS="-O2 -pipe -g"
CXXFLAGS="-O2 -pipe -g"
BOOT_CFLAGS="-O2 -pipe -g"
mkdir ${BUILD_DIR}
cd ${BUILD_DIR}
${SRC_DIR}/configure --with-included-gettext > config.out 2>&1 || exit
make bootstrap-lean > Make.log 2>&1 || exit

----------------------------------------------------------------------------
-------------------------
Flags in i686-pc-cygwin/libstdc++-v3/tests_flags are wrong.  (This is a
generated file in the build directory).  Need to patch it thus.

--- i686-pc-cygwin/libstdc++-v3/tests_flags.bak Fri Dec 29 10:22:23 2000
+++ i686-pc-cygwin/libstdc++-v3/tests_flags Fri Dec 29 10:24:02 2000
@@ -154,7 +154,7 @@
     ${LIB_PATH}/../libsupc++/libsupc++.la  ${LIB_PATH}/libstdc++.la
     -no-install"
     LTEXE="${LIBTOOL} --mode=execute"
-    LIBS="-nodefaultlibs -lc -lgcc -lc"
+    LIBS="-nodefaultlibs -lgcc -lcygwin -luser32 -lkernel32 -ladvapi32
-lshell32"
     ;;
     --installed-library)
     # For the installed version, we really only need to use libtool and
----------------------------------------------------------------------------
--------------------------
Then run the testsuite, and wait

DEJAGNULIBS=/usr/share/dejagnu
export DEJAGNULIBS
TCL_LIBRARY=/usr/share/tcl8.0
export TCL_LIBRARY
make -k check > Make-check.log 2>&1

> -----Original Message-----
> From: Christian Jönsson [SMTP:[email-masked]]
> Sent: Sunday, 31 December 2000 2:42
> To: Billinghurst, David (CRTS)
> Subject: Getting GCC's testsuite, i.e., dejagnu, under cygwin-1.1.7
>
> Hello David.
>
> I'm just curious, how did you get the testsuite running?
>
> I always get can't find /usr/share/dejagnu/runtest.exp
> regardless if I set DEJAGNULIBS as /usr/share/dejagnu or
> something like /cygdrive/c/cygwin/usr/share/dejagnu...
>
> Oh, I have a win2k/pro/sp1 with an up to date cygwin-1.1.7.
>
> Cheers,
>
> /ChJ

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple